# Importar libreras
import streamlit as st

# Clase que ejecuta varias aplicaciones
class MultiApp:
    
    # Se crea un array donde se almacenar el ttulo y la funcin de cada app
    def __init__(self):
        self.apps = []
    
    # Funcin para aadir apps al array     
    def add_app(self, title, func):
        self.apps.append({
            "title": title,
            "function": func
        })
        
    # Funcin que ejecuta la app seleccionada mediante el selectbox    
    def run(self):
        app = st.sidebar.selectbox('Apps', self.apps, format_func=lambda app: app['title'], )
        app['function']()
